package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public abstract class CondExpr implements java.io.Serializable {
    public abstract <R, A> R accept(CondExpr.Visitor<R, A> v, A arg);

    public interface Visitor<R, A> {
        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprOrC p, A arg);

        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprAndC p, A arg);

        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprNotC p, A arg);

        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprBoolExprC p, A arg);

    }

}
